Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v5
Class ConsultAmppType

    java.lang.Object
      be.fgov.ehealth.dics.protocol.v5.ConsultAmppType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:04:56+01:00",
               comments="JAXB RI v2.2.11")
    public class ConsultAmppType

extends Object
implements Serializable

Java class for ConsultAmppType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultAmppType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Orphan" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="LeafletUrl" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
             <element name="SpcUrl" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
             <element name="RmaPatientUrl" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
             <element name="RmaProfessionalUrl" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
             <element name="ParallelCircuit" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="ParallelDistributor" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="PackMultiplier" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
             <element name="PackAmount" type="{urn:be:fgov:ehealth:dics:protocol:v5}PackAmountType" minOccurs="0"/>
             <element name="PackDisplayValue" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="AuthorisationNr" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="SingleUse" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="SpeciallyRegulated" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="AbbreviatedName" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
             <element name="PrescriptionName" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
             <element name="Note" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
             <element name="PosologyNote" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
             <element name="CrmUrl" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
             <element name="ExFactoryPrice" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/>
             <element name="ReimbursementCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Atc" type="{urn:be:fgov:ehealth:dics:protocol:v5}AtcClassificationType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="DeliveryModus" type="{urn:be:fgov:ehealth:dics:protocol:v5}DeliveryModusType"/>
             <element name="DeliveryModusSpecification" type="{urn:be:fgov:ehealth:dics:protocol:v5}DeliveryModusSpecificationType" minOccurs="0"/>
             <element name="NoGenericPrescriptionReason" type="{urn:be:fgov:ehealth:dics:protocol:v5}NoGenericPrescriptionReasonType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="DistributorCompanyActorNr" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Status" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="FMDProductCode" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
             <element name="FMDInScope" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="AntiTemperingDevicePresent" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="DHPCUrl" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
             <element name="DefinedDailyDose" type="{urn:be:fgov:ehealth:dics:protocol:v5}QuantityType" minOccurs="0"/>
             <element name="AdditionalFields" type="{urn:be:fgov:ehealth:dics:protocol:v5}AdditionalFieldsType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="AmppComponent" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultAmppComponentType" maxOccurs="unbounded"/>
             <element name="Commercialization" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultCommercializationType" minOccurs="0"/>
             <element name="SupplyProblem" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultSupplyProblemType" minOccurs="0"/>
             <element name="DerogationImport" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultDerogationImportType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="Dmpp" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultDmppType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
           <attribute name="CtiExtended" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultAmppType()`

Method Summary
`ConsultTextType` | `getAbbreviatedName()` Gets the value of the abbreviatedName property.
`List<AdditionalFieldsType>` | `getAdditionalFields()` Gets the value of the additionalFields property.
`List<ConsultAmppComponentType>` | `getAmppComponents()` Gets the value of the amppComponents property.
`List<AtcClassificationType>` | `getAtcs()` Gets the value of the atcs property.
`String` | `getAuthorisationNr()` Gets the value of the authorisationNr property.
`ConsultCommercializationType` | `getCommercialization()` Gets the value of the commercialization property.
`ConsultTextType` | `getCrmUrl()` Gets the value of the crmUrl property.
`String` | `getCtiExtended()` Gets the value of the ctiExtended property.
`QuantityType` | `getDefinedDailyDose()` Gets the value of the definedDailyDose property.
`DeliveryModusType` | `getDeliveryModus()` Gets the value of the deliveryModus property.
`DeliveryModusSpecificationType` | `getDeliveryModusSpecification()` Gets the value of the deliveryModusSpecification property.
`List<ConsultDerogationImportType>` | `getDerogationImports()` Gets the value of the derogationImports property.
`ConsultTextType` | `getDHPCUrl()` Gets the value of the dhpcUrl property.
`String` | `getDistributorCompanyActorNr()` Gets the value of the distributorCompanyActorNr property.
`List<ConsultDmppType>` | `getDmpps()` Gets the value of the dmpps property.
`org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
`BigDecimal` | `getExFactoryPrice()` Gets the value of the exFactoryPrice property.
`List<String>` | `getFMDProductCodes()` Gets the value of the fmdProductCodes property.
`ConsultTextType` | `getLeafletUrl()` Gets the value of the leafletUrl property.
`List<NoGenericPrescriptionReasonType>` | `getNoGenericPrescriptionReasons()` Gets the value of the noGenericPrescriptionReasons property.
`ConsultTextType` | `getNote()` Gets the value of the note property.
`PackAmountType` | `getPackAmount()` Gets the value of the packAmount property.
`String` | `getPackDisplayValue()` Gets the value of the packDisplayValue property.
`Integer` | `getPackMultiplier()` Gets the value of the packMultiplier property.
`String` | `getParallelCircuit()` Gets the value of the parallelCircuit property.
`String` | `getParallelDistributor()` Gets the value of the parallelDistributor property.
`ConsultTextType` | `getPosologyNote()` Gets the value of the posologyNote property.
`ConsultTextType` | `getPrescriptionName()` Gets the value of the prescriptionName property.
`String` | `getReimbursementCode()` Gets the value of the reimbursementCode property.
`ConsultTextType` | `getRmaPatientUrl()` Gets the value of the rmaPatientUrl property.
`ConsultTextType` | `getRmaProfessionalUrl()` Gets the value of the rmaProfessionalUrl property.
`ConsultTextType` | `getSpcUrl()` Gets the value of the spcUrl property.
`String` | `getSpeciallyRegulated()` Gets the value of the speciallyRegulated property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`String` | `getStatus()` Gets the value of the status property.
`ConsultSupplyProblemType` | `getSupplyProblem()` Gets the value of the supplyProblem property.
`Boolean` | `isAntiTemperingDevicePresent()` Gets the value of the antiTemperingDevicePresent property.
`Boolean` | `isFMDInScope()` Gets the value of the fmdInScope property.
`boolean` | `isOrphan()` Gets the value of the orphan property.
`Boolean` | `isSingleUse()` Gets the value of the singleUse property.
`void` | `setAbbreviatedName(ConsultTextType value)` Sets the value of the abbreviatedName property.
`void` | `setAntiTemperingDevicePresent(Boolean value)` Sets the value of the antiTemperingDevicePresent property.
`void` | `setAuthorisationNr(String value)` Sets the value of the authorisationNr property.
`void` | `setCommercialization(ConsultCommercializationType value)` Sets the value of the commercialization property.
`void` | `setCrmUrl(ConsultTextType value)` Sets the value of the crmUrl property.
`void` | `setCtiExtended(String value)` Sets the value of the ctiExtended property.
`void` | `setDefinedDailyDose(QuantityType value)` Sets the value of the definedDailyDose property.
`void` | `setDeliveryModus(DeliveryModusType value)` Sets the value of the deliveryModus property.
`void` | `setDeliveryModusSpecification(DeliveryModusSpecificationType value)` Sets the value of the deliveryModusSpecification property.
`void` | `setDHPCUrl(ConsultTextType value)` Sets the value of the dhpcUrl property.
`void` | `setDistributorCompanyActorNr(String value)` Sets the value of the distributorCompanyActorNr property.
`void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
`void` | `setExFactoryPrice(BigDecimal value)` Sets the value of the exFactoryPrice property.
`void` | `setFMDInScope(Boolean value)` Sets the value of the fmdInScope property.
`void` | `setLeafletUrl(ConsultTextType value)` Sets the value of the leafletUrl property.
`void` | `setNote(ConsultTextType value)` Sets the value of the note property.
`void` | `setOrphan(boolean value)` Sets the value of the orphan property.
`void` | `setPackAmount(PackAmountType value)` Sets the value of the packAmount property.
`void` | `setPackDisplayValue(String value)` Sets the value of the packDisplayValue property.
`void` | `setPackMultiplier(Integer value)` Sets the value of the packMultiplier property.
`void` | `setParallelCircuit(String value)` Sets the value of the parallelCircuit property.
`void` | `setParallelDistributor(String value)` Sets the value of the parallelDistributor property.
`void` | `setPosologyNote(ConsultTextType value)` Sets the value of the posologyNote property.
`void` | `setPrescriptionName(ConsultTextType value)` Sets the value of the prescriptionName property.
`void` | `setReimbursementCode(String value)` Sets the value of the reimbursementCode property.
`void` | `setRmaPatientUrl(ConsultTextType value)` Sets the value of the rmaPatientUrl property.
`void` | `setRmaProfessionalUrl(ConsultTextType value)` Sets the value of the rmaProfessionalUrl property.
`void` | `setSingleUse(Boolean value)` Sets the value of the singleUse property.
`void` | `setSpcUrl(ConsultTextType value)` Sets the value of the spcUrl property.
`void` | `setSpeciallyRegulated(String value)` Sets the value of the speciallyRegulated property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.
`void` | `setStatus(String value)` Sets the value of the status property.
`void` | `setSupplyProblem(ConsultSupplyProblemType value)` Sets the value of the supplyProblem property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultAmppType

    public ConsultAmppType()

Method Detail

### isOrphan

    public boolean isOrphan()

  Gets the value of the orphan property.

### setOrphan

    public void setOrphan(boolean value)

  Sets the value of the orphan property.

### getLeafletUrl

    public ConsultTextType getLeafletUrl()

  Gets the value of the leafletUrl property.

  Returns:
    possible object is `ConsultTextType`

### setLeafletUrl

    public void setLeafletUrl(ConsultTextType value)

  Sets the value of the leafletUrl property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getSpcUrl

    public ConsultTextType getSpcUrl()

  Gets the value of the spcUrl property.

  Returns:
    possible object is `ConsultTextType`

### setSpcUrl

    public void setSpcUrl(ConsultTextType value)

  Sets the value of the spcUrl property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getRmaPatientUrl

    public ConsultTextType getRmaPatientUrl()

  Gets the value of the rmaPatientUrl property.

  Returns:
    possible object is `ConsultTextType`

### setRmaPatientUrl

    public void setRmaPatientUrl(ConsultTextType value)

  Sets the value of the rmaPatientUrl property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getRmaProfessionalUrl

    public ConsultTextType getRmaProfessionalUrl()

  Gets the value of the rmaProfessionalUrl property.

  Returns:
    possible object is `ConsultTextType`

### setRmaProfessionalUrl

    public void setRmaProfessionalUrl(ConsultTextType value)

  Sets the value of the rmaProfessionalUrl property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getParallelCircuit

    public String getParallelCircuit()

  Gets the value of the parallelCircuit property.

  Returns:
    possible object is `String`

### setParallelCircuit

    public void setParallelCircuit(String value)

  Sets the value of the parallelCircuit property.

  Parameters:
    `value` - allowed object is `String`

### getParallelDistributor

    public String getParallelDistributor()

  Gets the value of the parallelDistributor property.

  Returns:
    possible object is `String`

### setParallelDistributor

    public void setParallelDistributor(String value)

  Sets the value of the parallelDistributor property.

  Parameters:
    `value` - allowed object is `String`

### getPackMultiplier

    public Integer getPackMultiplier()

  Gets the value of the packMultiplier property.

  Returns:
    possible object is `Integer`

### setPackMultiplier

    public void setPackMultiplier(Integer value)

  Sets the value of the packMultiplier property.

  Parameters:
    `value` - allowed object is `Integer`

### getPackAmount

    public PackAmountType getPackAmount()

  Gets the value of the packAmount property.

  Returns:
    possible object is `PackAmountType`

### setPackAmount

    public void setPackAmount(PackAmountType value)

  Sets the value of the packAmount property.

  Parameters:
    `value` - allowed object is `PackAmountType`

### getPackDisplayValue

    public String getPackDisplayValue()

  Gets the value of the packDisplayValue property.

  Returns:
    possible object is `String`

### setPackDisplayValue

    public void setPackDisplayValue(String value)

  Sets the value of the packDisplayValue property.

  Parameters:
    `value` - allowed object is `String`

### getAuthorisationNr

    public String getAuthorisationNr()

  Gets the value of the authorisationNr property.

  Returns:
    possible object is `String`

### setAuthorisationNr

    public void setAuthorisationNr(String value)

  Sets the value of the authorisationNr property.

  Parameters:
    `value` - allowed object is `String`

### isSingleUse

    public Boolean isSingleUse()

  Gets the value of the singleUse property.

  Returns:
    possible object is `Boolean`

### setSingleUse

    public void setSingleUse(Boolean value)

  Sets the value of the singleUse property.

  Parameters:
    `value` - allowed object is `Boolean`

### getSpeciallyRegulated

    public String getSpeciallyRegulated()

  Gets the value of the speciallyRegulated property.

  Returns:
    possible object is `String`

### setSpeciallyRegulated

    public void setSpeciallyRegulated(String value)

  Sets the value of the speciallyRegulated property.

  Parameters:
    `value` - allowed object is `String`

### getAbbreviatedName

    public ConsultTextType getAbbreviatedName()

  Gets the value of the abbreviatedName property.

  Returns:
    possible object is `ConsultTextType`

### setAbbreviatedName

    public void setAbbreviatedName(ConsultTextType value)

  Sets the value of the abbreviatedName property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getPrescriptionName

    public ConsultTextType getPrescriptionName()

  Gets the value of the prescriptionName property.

  Returns:
    possible object is `ConsultTextType`

### setPrescriptionName

    public void setPrescriptionName(ConsultTextType value)

  Sets the value of the prescriptionName property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getNote

    public ConsultTextType getNote()

  Gets the value of the note property.

  Returns:
    possible object is `ConsultTextType`

### setNote

    public void setNote(ConsultTextType value)

  Sets the value of the note property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getPosologyNote

    public ConsultTextType getPosologyNote()

  Gets the value of the posologyNote property.

  Returns:
    possible object is `ConsultTextType`

### setPosologyNote

    public void setPosologyNote(ConsultTextType value)

  Sets the value of the posologyNote property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getCrmUrl

    public ConsultTextType getCrmUrl()

  Gets the value of the crmUrl property.

  Returns:
    possible object is `ConsultTextType`

### setCrmUrl

    public void setCrmUrl(ConsultTextType value)

  Sets the value of the crmUrl property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getExFactoryPrice

    public BigDecimal getExFactoryPrice()

  Gets the value of the exFactoryPrice property.

  Returns:
    possible object is `BigDecimal`

### setExFactoryPrice

    public void setExFactoryPrice(BigDecimal value)

  Sets the value of the exFactoryPrice property.

  Parameters:
    `value` - allowed object is `BigDecimal`

### getReimbursementCode

    public String getReimbursementCode()

  Gets the value of the reimbursementCode property.

  Returns:
    possible object is `String`

### setReimbursementCode

    public void setReimbursementCode(String value)

  Sets the value of the reimbursementCode property.

  Parameters:
    `value` - allowed object is `String`

### getAtcs

    public List<AtcClassificationType> getAtcs()

  Gets the value of the atcs property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the atcs property.

  For example, to add a new item, do as follows:

          getAtcs().add(newItem);

  Objects of the following type(s) are allowed in the list `AtcClassificationType`

### getDeliveryModus

    public DeliveryModusType getDeliveryModus()

  Gets the value of the deliveryModus property.

  Returns:
    possible object is `DeliveryModusType`

### setDeliveryModus

    public void setDeliveryModus(DeliveryModusType value)

  Sets the value of the deliveryModus property.

  Parameters:
    `value` - allowed object is `DeliveryModusType`

### getDeliveryModusSpecification

    public DeliveryModusSpecificationType getDeliveryModusSpecification()

  Gets the value of the deliveryModusSpecification property.

  Returns:
    possible object is `DeliveryModusSpecificationType`

### setDeliveryModusSpecification

    public void setDeliveryModusSpecification(DeliveryModusSpecificationType value)

  Sets the value of the deliveryModusSpecification property.

  Parameters:
    `value` - allowed object is `DeliveryModusSpecificationType`

### getNoGenericPrescriptionReasons

    public List<NoGenericPrescriptionReasonType> getNoGenericPrescriptionReasons()

  Gets the value of the noGenericPrescriptionReasons property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the noGenericPrescriptionReasons property.

  For example, to add a new item, do as follows:

          getNoGenericPrescriptionReasons().add(newItem);

  Objects of the following type(s) are allowed in the list `NoGenericPrescriptionReasonType`

### getDistributorCompanyActorNr

    public String getDistributorCompanyActorNr()

  Gets the value of the distributorCompanyActorNr property.

  Returns:
    possible object is `String`

### setDistributorCompanyActorNr

    public void setDistributorCompanyActorNr(String value)

  Sets the value of the distributorCompanyActorNr property.

  Parameters:
    `value` - allowed object is `String`

### getStatus

    public String getStatus()

  Gets the value of the status property.

  Returns:
    possible object is `String`

### setStatus

    public void setStatus(String value)

  Sets the value of the status property.

  Parameters:
    `value` - allowed object is `String`

### getFMDProductCodes

    public List<String> getFMDProductCodes()

  Gets the value of the fmdProductCodes property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the fmdProductCodes property.

  For example, to add a new item, do as follows:

          getFMDProductCodes().add(newItem);

  Objects of the following type(s) are allowed in the list `String`

### isFMDInScope

    public Boolean isFMDInScope()

  Gets the value of the fmdInScope property.

  Returns:
    possible object is `Boolean`

### setFMDInScope

    public void setFMDInScope(Boolean value)

  Sets the value of the fmdInScope property.

  Parameters:
    `value` - allowed object is `Boolean`

### isAntiTemperingDevicePresent

    public Boolean isAntiTemperingDevicePresent()

  Gets the value of the antiTemperingDevicePresent property.

  Returns:
    possible object is `Boolean`

### setAntiTemperingDevicePresent

    public void setAntiTemperingDevicePresent(Boolean value)

  Sets the value of the antiTemperingDevicePresent property.

  Parameters:
    `value` - allowed object is `Boolean`

### getDHPCUrl

    public ConsultTextType getDHPCUrl()

  Gets the value of the dhpcUrl property.

  Returns:
    possible object is `ConsultTextType`

### setDHPCUrl

    public void setDHPCUrl(ConsultTextType value)

  Sets the value of the dhpcUrl property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getDefinedDailyDose

    public QuantityType getDefinedDailyDose()

  Gets the value of the definedDailyDose property.

  Returns:
    possible object is `QuantityType`

### setDefinedDailyDose

    public void setDefinedDailyDose(QuantityType value)

  Sets the value of the definedDailyDose property.

  Parameters:
    `value` - allowed object is `QuantityType`

### getAdditionalFields

    public List<AdditionalFieldsType> getAdditionalFields()

  Gets the value of the additionalFields property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the additionalFields property.

  For example, to add a new item, do as follows:

          getAdditionalFields().add(newItem);

  Objects of the following type(s) are allowed in the list `AdditionalFieldsType`

### getAmppComponents

    public List<ConsultAmppComponentType> getAmppComponents()

  Gets the value of the amppComponents property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the amppComponents property.

  For example, to add a new item, do as follows:

          getAmppComponents().add(newItem);

  Objects of the following type(s) are allowed in the list `ConsultAmppComponentType`

### getCommercialization

    public ConsultCommercializationType getCommercialization()

  Gets the value of the commercialization property.

  Returns:
    possible object is `ConsultCommercializationType`

### setCommercialization

    public void setCommercialization(ConsultCommercializationType value)

  Sets the value of the commercialization property.

  Parameters:
    `value` - allowed object is `ConsultCommercializationType`

### getSupplyProblem

    public ConsultSupplyProblemType getSupplyProblem()

  Gets the value of the supplyProblem property.

  Returns:
    possible object is `ConsultSupplyProblemType`

### setSupplyProblem

    public void setSupplyProblem(ConsultSupplyProblemType value)

  Sets the value of the supplyProblem property.

  Parameters:
    `value` - allowed object is `ConsultSupplyProblemType`

### getDerogationImports

    public List<ConsultDerogationImportType> getDerogationImports()

  Gets the value of the derogationImports property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the derogationImports property.

  For example, to add a new item, do as follows:

          getDerogationImports().add(newItem);

  Objects of the following type(s) are allowed in the list `ConsultDerogationImportType`

### getDmpps

    public List<ConsultDmppType> getDmpps()

  Gets the value of the dmpps property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the dmpps property.

  For example, to add a new item, do as follows:

          getDmpps().add(newItem);

  Objects of the following type(s) are allowed in the list `ConsultDmppType`

### getCtiExtended

    public String getCtiExtended()

  Gets the value of the ctiExtended property.

  Returns:
    possible object is `String`

### setCtiExtended

    public void setCtiExtended(String value)

  Sets the value of the ctiExtended property.

  Parameters:
    `value` - allowed object is `String`

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

### getEndDate

    public org.joda.time.DateTime getEndDate()

  Gets the value of the endDate property.

  Returns:
    possible object is `String`

### setEndDate

    public void setEndDate(org.joda.time.DateTime value)

  Sets the value of the endDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.